#
# spec file for package gltron (Version 0.61)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_mixer alsa audiofile autoconf automake esound glib glib-devel kdelibs-artsd libpng mesa mesa-devel mesasoft smpeg smpeg-devel xf86 xf86glu xf86glu-devel
# usedforbuild    SDL SDL-devel SDL_mixer aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow smpeg smpeg-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         gltron
Summary:      3D Game like Tron
Version:      0.61
Release:      115
Group:		X11/Games
Copyright:	GPL
URL:		http://www.gltron.org
Source0:	http://www.gltron.org/stuff/gltron-%{version}.tar.bz2
Patch0:		gltron-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
glTron simulates a motorcycle race where the players must not cross another
players track of light. It can be played with up to four players and needs
3d-hardware support.

Authors:
--------
    Andreas Umbach <marvin@dataway.ch>

SuSE series: fun

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup
%patch
autoconf

%build
export CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer"
%ifarch %{ix86}
export CFLAGS="$CFLAGS -mcpu=pentiumpro"
%endif
./configure --enable-sound
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install	prefix=%{buildroot}%{_prefix} \
		bindir=%{buildroot}%{_prefix}/X11R6/bin
#							\
#		GLTRON_HOME=%{buildroot}%{_datadir}/games/%{name}	\
#		GLTRON_INSTALLDIR=%{buildroot}%{_prefix}/X11R6/bin
rm -rf			%{buildroot}%{_datadir}/games/%{name}/CVS
strip			%{buildroot}%{_prefix}/X11R6/bin/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
/usr/share/games/*
/usr/X11R6/bin/*
 
%doc HOW_TO_PLAY CHANGELOG README README.html TODO CREDITS INSTALL LICENSE
# spec file ends here

%changelog -n gltron
* Thu Aug 16 2001 - ro@suse.de
- changed neededforbuild <smpeg> to <smpeg smpeg-devel>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Thu Aug 02 2001 - uli@suse.de
- fixed to build (enabled check for pthread in configure.in)
* Thu Jul 19 2001 - bk@suse.de
- updated to 0.61 (great!) and fixed settings to show the full power
* Fri Jun 22 2001 - ro@suse.de
- added kdelibs for artsd
* Fri Mar 30 2001 - uli@suse.de
- fixed to build on PPC
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Mar 06 2001 - bk@suse.de
- use RPM_OPT_FLAGS for compilation
- removed workaround for broken libGL.so dependices(fixed now in mesa)
- if gltron does not find a sound device, call gltron-nosound
- removed libmikmo from neededforbuild, not longer used by default
- renamed neededforbuild sdlmixer to new name SDL_mixer
- activated use of buildroot and updated URL tag
- strip installed programs and remove not neccesary CVS dir in datadir
* Wed Feb 21 2001 - uli@suse.de
- added alsa, esound, audiofile to neededforbuild (reqd. by new SDL)
* Mon Dec 18 2000 - ro@suse.de
- bzipped source
- compile fix
* Tue Nov 28 2000 - freitag@suse.de
- update to version 0.59
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Jun 05 2000 - freitag@suse.de
- added mesadev to neededforbuild
* Thu Jan 27 2000 - freitag@suse.de
- new package with version 0.53
